services:
  pihole:
    container_name: pihole
    image: pihole/pihole:latest
    ports:
      - "53:53/tcp"
      - "53:53/udp"
      - "8080:80/tcp"
    environment:
      TZ: 'Europe/Berlin'
      WEBPASSWORD: 'hossassaHeyHA38492'
      DNSMASQ_LISTENING: 'all'
      PIHOLE_DNS_1: '1.1.1.1#2606:4700:4700::1111'
      PIHOLE_DNS_2: '8.8.8.8#2001:4860:4860::8888'
      INTERFACE: 'eth0'
      FTLCONF_WEBSERVER_PORT: '8888'
      FTLCONF_REPLY_ADDR4: '192.168.2.106'
      FTLCONF_REPLY_ADDR6: '2003:fb:8f4b:d03b:6b40:1050:ac82:a84'
    volumes:
      - ./etc-pihole:/etc/pihole
      - ./etc-dnsmasq.d:/etc/dnsmasq.d
    restart: unless-stopped
    network_mode: host  
